## nova 31.0.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

pbr>=5.8.0 # Apache-2.0
SQLAlchemy>=1.4.13 # MIT
decorator>=4.1.0 # BSD
eventlet>=0.30.1 # MIT
Jinja2>=2.10 # BSD License (3 clause)
keystonemiddleware>=4.20.0 # Apache-2.0
lxml>=4.5.0 # BSD
Routes>=2.3.1 # MIT
cryptography>=2.7 # BSD/Apache-2.0
WebOb>=1.8.2 # MIT
greenlet>=0.4.15 # MIT
PasteDeploy>=1.5.0 # MIT
Paste>=2.0.2 # MIT
PrettyTable>=0.7.1 # BSD
alembic>=1.5.0 # MIT
netaddr>=0.7.18 # BSD
paramiko>=2.7.1 # LGPLv2.1+
iso8601>=0.1.11 # MIT
jsonschema>=4.0.0 # MIT
python-cinderclient>=4.0.1 # Apache-2.0
keystoneauth1>=3.16.0 # Apache-2.0
python-neutronclient>=7.1.0 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
requests>=2.25.1 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
websockify>=0.9.0 # LGPLv3
oslo.cache>=1.26.0 # Apache-2.0
oslo.concurrency>=5.0.1 # Apache-2.0
oslo.config>=8.6.0 # Apache-2.0
oslo.context>=3.4.0 # Apache-2.0
oslo.log>=4.6.1 # Apache-2.0
oslo.limit>=1.5.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.serialization>=4.2.0 # Apache-2.0
oslo.upgradecheck>=1.3.0
oslo.utils>=8.0.0 # Apache-2.0
oslo.db>=10.0.0 # Apache-2.0
oslo.rootwrap>=5.15.0 # Apache-2.0
oslo.messaging>=14.1.0 # Apache-2.0
oslo.policy>=4.5.0 # Apache-2.0
oslo.privsep>=2.6.2 # Apache-2.0
oslo.i18n>=5.1.0 # Apache-2.0
oslo.service>=2.8.0 # Apache-2.0
rfc3986>=1.2.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
psutil>=3.2.2 # BSD
oslo.versionedobjects>=1.35.0 # Apache-2.0
os-brick>=6.10.0 # Apache-2.0
os-resource-classes>=1.1.0 # Apache-2.0
os-traits>=3.3.0 # Apache-2.0
os-vif>=3.1.0 # Apache-2.0
castellan>=0.16.0 # Apache-2.0
microversion-parse>=0.2.1 # Apache-2.0
tooz>=1.58.0 # Apache-2.0
cursive>=0.2.1 # Apache-2.0
retrying>=1.3.3 # Apache-2.0
os-service-types>=1.7.0 # Apache-2.0
python-dateutil>=2.7.0 # BSD
futurist>=1.8.0 # Apache-2.0
openstacksdk>=4.4.0 # Apache-2.0
PyYAML>=5.1 # MIT

=== debian/changelog ===
nova (2:31.0.0-6+deb13u1) trixie; urgency=high

  * A vulnerability has been identified in OpenStack Nova and OpenStack Watcher
    in conjunction with volume swap operations performed by the Watcher
    service. Under specific circumstances, this can lead to a situation where
    two Nova libvirt instances could reference the same block device, allowing
    accidental information disclosure to the unauthorized instance. Added
    upstream patch: OSSN-0094_restrict_swap_volume_to_cinder.patch.
    (Closes: #1111689).
  * Blacklist non-deterministic unit test:
    - ComputeTestCase.test_add_remove_fixed_ip_updates_instance_updated_at

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Aug 2025 09:10:49 +0200

nova (2:31.0.0-6) unstable; urgency=medium

  * Also do it for nova-api-metadata.

 -- Thomas Goirand <zigo@debian.org>  Sat, 12 Jul 2025 11:35:02 +0200

nova (2:31.0.0-5) unstable; urgency=medium

  * export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Jul 2025 14:24:22 +0200

nova (2:31.0.0-4) unstable; urgency=medium

  * Add Fix-neutron-client-dict-grabbing.patch as a workaround for a nasty
    CPython bug.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Jun 2025 18:06:40 +0200

nova (2:31.0.0-3) unstable; urgency=medium

  * Blacklist test_instance_get_all_by_filters_sort_keys that is not
    deterministic (Closes: #1104396).

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Apr 2025 08:49:36 +0200

nova (2:31.0.0-2) unstable; urgency=medium

  * Blacklist test_archive_deleted_rows_task_log that failed on buildd.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Apr 2025 09:48:42 +0200

nova (2:31.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 13:24:33 +0200

nova (2:31.0.0~rc1-2) unstable; urgency=medium

  * Add os_brick namespace when generating config file.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 15:59:08 +0100

nova (2:31.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed patch applied upstream:
    - python-3.13-crypt.crypt-support-is-removed.patch
  * Deactivate patch, as not sure still needed:
    - fix-fake_get_by_flavor_id.patch
  * Refreshed patches.

 -- Thomas Goirand <zigo@debian.org>  Thu, 20 Mar 2025 18:24:08 +0100

=== debian/control ===
Source: nova
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 gustavo panizzo <gfa@zumbi.com.ar>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 123~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 bandit,
 genisoimage,
 graphviz,
 libvirt-daemon-system,
 openssh-client,
 procps,
 python3-barbicanclient,
 python3-castellan,
 python3-cinderclient,
 python3-coverage,
 python3-cryptography,
 python3-cursive,
 python3-dateutil,
 python3-ddt,
 python3-decorator,
 python3-eventlet,
 python3-fixtures,
 python3-futurist,
 python3-gabbi,
 python3-glanceclient,
 python3-greenlet,
 python3-hacking,
 python3-iso8601,
 python3-jinja2,
 python3-jsonschema (>= 4.0.0),
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-lxml,
 python3-memcache,
 python3-microversion-parse,
 python3-mysqldb,
 python3-netaddr,
 python3-neutronclient,
 python3-novaclient,
 python3-openstackdocstheme,
 python3-openstacksdk (>= 4.4.0),
 python3-os-api-ref,
 python3-os-brick (>= 6.10.0),
 python3-os-resource-classes,
 python3-os-service-types,
 python3-os-traits (>= 3.3.0),
 python3-os-vif (>= 3.1.0),
 python3-oslo.cache,
 python3-oslo.concurrency,
 python3-oslo.config (>= 1:9.6.0),
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.limit,
 python3-oslo.log,
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware,
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.privsep,
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils (>= 8.0.0),
 python3-oslo.versionedobjects,
 python3-oslo.vmware,
 python3-oslotest,
 python3-osprofiler,
 python3-paramiko,
 python3-paste,
 python3-pastedeploy,
 python3-pil,
 python3-prettytable,
 python3-psutil,
 python3-psycopg2,
 python3-pymysql,
 python3-requests,
 python3-requests-mock,
 python3-retrying,
 python3-rfc3986,
 python3-routes,
 python3-sphinx-feature-classification,
 python3-sphinxcontrib.actdiag,
 python3-sphinxcontrib.seqdiag,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-tooz,
 python3-webob,
 python3-websockify,
 python3-wsgi-intercept,
 python3-yaml,
 qemu-utils,
 sqlite3,
 subunit,
Build-Conflicts:
 python3-cjson,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/nova
Vcs-Git: https://salsa.debian.org/openstack-team/services/nova.git
Homepage: http://www.openstack.org/software/openstack-compute/

Package: nova-api
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 iptables,
 nova-common (= ${binary:Version}),
 python3-pastescript,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-keystone,
Description: OpenStack Compute - compute API frontend
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This package provides the API frontend.

Package: nova-common
Architecture: all
Depends:
 adduser,
 bridge-utils,
 dbconfig-common,
 iproute2 | iproute,
 python3-configobj,
 python3-iso8601,
 python3-nova (= ${binary:Version}),
 python3-openstackclient,
 q-text-as-data,
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-pysqlite2 | python3-mysqldb | python3-psycopg2,
Description: OpenStack Compute - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This package contains elements that are needed by all parts of Nova.

Package: nova-compute
Architecture: all
Depends:
 adduser,
 conntrack,
 cgroup-tools,
 curl,
 dosfstools,
 ebtables,
 fdisk,
 gawk,
 iptables,
 kpartx,
 mdevctl,
 nova-common (= ${binary:Version}),
 nova-compute-kvm | nova-compute-hypervisor,
 open-iscsi,
 ovmf,
 parted,
 qemu-utils,
 rsync,
 vlan,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 dmidecode,
Description: OpenStack Compute - compute node
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This package equips a system to function as a compute node, running the
 virtual machines.

Package: nova-compute-ironic
Architecture: all
Depends:
 adduser,
 dpkg-dev,
 nova-common,
 nova-compute,
 python3-ironicclient,
 python3-libvirt,
 ${misc:Depends},
Provides:
 nova-compute-hypervisor,
Recommends:
 guestmount,
Conflicts:
 nova-baremetal,
 nova-compute-kvm,
 nova-compute-lxc,
 nova-compute-qemu,
 nova-compute-xen,
Description: OpenStack Compute - compute node (Ironic)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This is a dependency package for compute nodes using Ironic.

Package: nova-compute-kvm
Architecture: all
Depends:
 adduser,
 dpkg-dev,
 libvirt-daemon-system,
 libvirt-daemon-driver-storage-rbd,
 nova-common (= ${binary:Version}),
 nova-compute (= ${binary:Version}),
 python3-libvirt,
 qemu-block-extra,
 qemu-system-x86,
 swtpm,
 swtpm-tools,
 ${misc:Depends},
Provides:
 nova-compute-hypervisor,
Recommends:
 guestmount,
Conflicts:
 nova-compute-ironic,
 nova-compute-lxc,
 nova-compute-qemu,
 nova-compute-xen,
Description: OpenStack Compute - compute node (KVM)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This is a dependency package for compute nodes using KVM.

Package: nova-compute-lxc
Architecture: all
Depends:
 adduser,
 dpkg-dev,
 libvirt-daemon-system,
 lxc,
 nova-common,
 nova-compute,
 python3-libvirt,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 nova-compute-hypervisor,
Conflicts:
 nova-compute-ironic,
 nova-compute-kvm,
 nova-compute-qemu,
 nova-compute-xen,
Description: OpenStack Compute - compute node (LXC)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This is a dependency package for compute nodes using LXC.

Package: nova-compute-qemu
Architecture: all
Depends:
 adduser,
 dpkg-dev,
 libvirt-daemon-system,
 nova-common,
 nova-compute,
 python3-libvirt,
 qemu-system,
 qemu-block-extra,
 swtpm,
 ${misc:Depends},
Provides:
 nova-compute-hypervisor,
Conflicts:
 nova-compute-ironic,
 nova-compute-kvm,
 nova-compute-lxc,
 nova-compute-xen,
Description: OpenStack Compute - compute node (QEmu)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This is a dependency package for compute nodes using QEmu.

Package: nova-conductor
Architecture: all
Depends:
 nova-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Compute - conductor service
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This is the Nova conductor service component.

Package: nova-consoleproxy
Architecture: all
Provides:
 nova-ajax-console-proxy,
 nova-novncproxy,
 nova-spicehtml5proxy,
 nova-spiceproxy,
Conflicts:
 nova-novncproxy,
 nova-spicehtml5proxy,
Replaces:
 nova-novncproxy,
 nova-spicehtml5proxy,
Depends:
 debconf,
 nova-common (= ${binary:Version}),
 novnc,
 python3-websockify,
 spice-html5,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Compute - NoVNC proxy
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to
 implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

NOVA_CONF=$(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	python3 setup.py clean
	rm -rf doc/build/ doc/source/api doc/.autogenerated
	rm -rf tests.sqlite clean.sqlite run_tests.log
	rm -rf CA
	rm -rf nova.egg-info
	rm -f po/nova.pot
	rm -rf .autogenerated
	rm -f debian/nova-common.config debian/nova-common.postinst \
		debian/nova-api.config debian/nova-api.postinst debian/nova-common.postrm
	rm -f debian/*.init debian/*.service debian/*.upstart
	rm -rf build etc/nova/nova.conf.sample
	rm -rf .testrepository subunit.log instances keys
	rm -rf debian/bla doc/source/_static/*.sample
	rm -f debian/nova-api.templates debian/nova-common.templates
	rm -rf debian/po
	find .  -type d -name __pycache__ -exec rm -r {} \+

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm nova-common.postrm
	cp -axuf debian/po.in debian/po
	pkgos-merge-templates nova-api nova endpoint
	pkgos-merge-templates nova-common nova db rabbit ksat

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	set -e ; set -x ; if ! PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/nova-doc/usr/share/doc/nova-doc/html ; then \
		cat /tmp/sphinx-err-* ; \
		exit 1 ; \
	fi
	dh_sphinxdoc
endif

override_dh_installman:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b man doc/source doc/build/man
	dh_installman
endif

override_dh_auto_install:
	echo "Please do nothing"

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python3 setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# Fails on buildd:
	# db.main.test_api.ArchiveTestCase.test_archive_deleted_rows_task_log
	# Non-deterministic (see: https://bugs.launchpad.net/nova/+bug/2121125):
	# nova.tests.unit.compute.test_compute.ComputeTestCase.test_add_remove_fixed_ip_updates_instance_updated_at
	pkgos-dh_auto_test --no-py2 'nova\.tests\.unit\.(?!(.*virt.libvirt\.test_driver\.LibvirtConnTestCase\.test_spawn_with_config_drive.*|.*test_wsgi\.TestWSGIServerWithSSL.*|.*test_hacking\.HackingTestCase.*|.*CreateInstanceTypeTest\.test_name_with_non_printable_characters.*|.*PatternPropertiesTestCase\.test_validate_patternProperties_fails.*|.*virt\.libvirt\.test_driver\.LibvirtDriverTestCase\.test_get_disk_xml.*|.*virt\.libvirt\.test_driver\.LibvirtConnTestCase\.test_detach_volume_with_vir_domain_affect_live_flag.*|.*virt\.libvirt\.test_driver\.LibvirtConnTestCase\.test_update_volume_xml.*|.*console\.test_websocketproxy\.NovaProxyRequestHandlerTestCase\.test_tcp_rst_no_compute_rpcapi.*|.*virt\.libvirt\.test_blockinfo\.LibvirtBlockInfoTest\.test_get_disk_mapping_rescue_with_config.*|.*virt\.libvirt\.test_blockinfo\.LibvirtBlockInfoTest\.test_get_disk_mapping_stable_rescue_ide_cdrom.*|.*virt\.libvirt\.volume\.test_nvme\.LibvirtNVMEVolumeDriverTestCase\.test_libvirt_nvme_driver_connect.*|.*virt\.libvirt\.volume\.test_nvme\.LibvirtNVMEVolumeDriverTestCase\.test_libvirt_nvme_driver_disconnect.*|.*virt\.libvirt\.volume\.test_nvme\.LibvirtNVMEVolumeDriverTestCase\.test_libvirt_nvme_driver_get_config.*|.*virt\.libvirt\.volume\.test_scaleio\.LibvirtScaleIOVolumeDriverTestCase.*|.*virt\.libvirt\.test_driver\.LibvirtDriverTestCase\.test_cross_cell_move_rbd_flatten_fetch_image_cache.*|.*virt\.libvirt\.test_driver\.LibvirtConnTestCase\.test_check_discard_for_attach_volume_blk_controller_no_unmap.*|.*virt\.libvirt\.test_driver\.LibvirtConnTestCase\.test_check_discard_for_attach_volume_no_unmap.*|.*virt\.libvirt\.test_driver\.LibvirtConnTestCase\.test_check_discard_for_attach_volume_valid_controller.*|.*virt\.libvirt\.test_driver\.LibvirtDriverTestCase\.test_rbd_image_flatten_during_fetch_image_cache.*|.*test_utils\.GenericUtilsTestCase\.test_temporary_chown.*|console\.test_websocketproxy\.NovaProxyRequestHandlerTestCase\.test_reject_open_redirect|console\.test_websocketproxy\.NovaProxyRequestHandlerTestCase\.test_reject_open_redirect_3_slashes|privsep\.test_utils\.SupportDirectIOTestCase\.test_supports_direct_io_with_exception_in_open|privsep\.test_utils\.SupportDirectIOTestCase\.test_supports_direct_io_with_exception_in_write|notifications\.objects\.test_objects\.TestObjectVersions\.test_versions|objects\.test_objects\.TestObjectVersions\.test_versions|notifications\.objects\.test_notification\.TestNotificationObjectVersions\.test_versions|db\.main\.test_api\.ArchiveTestCase\.test_archive_deleted_rows_task_log|db\.main\.test_api\.UnsupportedDbRegexpTestCase\.test_instance_get_all_by_filters_sort_keys|nova\.tests\.unit\.compute\.test_compute\.ComputeTestCase\.test_add_remove_fixed_ip_updates_instance_updated_at))'
endif

	rm -rf $(CURDIR)/debian/tmp/usr/etc

	mkdir -p $(CURDIR)/debian/nova-common/usr/share/nova-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file=$(CURDIR)/debian/nova-common/usr/share/nova-common/policy.json.example \
		--format json \
		--namespace nova

	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file=$(CURDIR)/debian/nova-common/usr/share/nova-common/policy.yaml.example \
		--format yaml \
		--namespace nova

	mkdir -p $(CURDIR)/debian/nova-common/usr/share/nova-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file=$(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf \
		--wrap-width 140 \
		--namespace nova.conf \
		--namespace oslo.db \
		--namespace oslo.limit \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.policy \
		--namespace oslo.privsep \
		--namespace oslo.service.periodic_task \
		--namespace oslo.service.service \
		--namespace oslo.middleware \
		--namespace oslo.concurrency \
		--namespace oslo.reports \
		--namespace oslo.versionedobjects \
		--namespace keystonemiddleware.auth_token \
		--namespace osprofiler \
		--namespace os_vif \
		--namespace os_brick

	pkgos-readd-keystone-authtoken-missing-options $(NOVA_CONF) keystone_authtoken nova

	mkdir -p $(CURDIR)/debian/nova-common/etc/nova/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file=$(CURDIR)/debian/nova-common/etc/nova/policy.d/00_default_policy.yaml \
		--format yaml \
		--namespace nova

	# Comment out deprecated policies, otherwise, Nova doesn't work
	sed -i 's/^"/#"/' $(CURDIR)/debian/nova-common/etc/nova/policy.d/00_default_policy.yaml

	# Use the policy.d folder
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf oslo_policy policy_dirs /etc/nova/policy.d


	# Otherwise, this is set to the build dir
	pkgos-fix-config-default $(NOVA_CONF) DEFAULT pybasedir /usr/lib/python3/dist-packages
	pkgos-fix-config-default $(NOVA_CONF) DEFAULT bindir /usr/bin

	# General needed fixes
	pkgos-fix-config-default $(NOVA_CONF) oslo_concurrency lock_path /var/lock/nova
	pkgos-fix-config-default $(NOVA_CONF) DEFAULT state_path /var/lib/nova

	# Let's use Neutron by default, and not stupid nova-network
	pkgos-fix-config-default $(NOVA_CONF) DEFAULT security_group_api neutron
	pkgos-fix-config-default $(NOVA_CONF) DEFAULT network_api_class nova.network.neutronv2.api.API
	pkgos-fix-config-default $(NOVA_CONF) DEFAULT use_neutron True
	pkgos-fix-config-default $(NOVA_CONF) DEFAULT linuxnet_interface_driver nova.network.linux_net.LinuxOVSInterfaceDriver

## nova 31.0.0+git2025070714.1c03429337

=== requirements.txt ===
--- 
+++ 
@@ -51,7 +51,7 @@
 oslo.versionedobjects>=1.35.0 # Apache-2.0
 os-brick>=6.10.0 # Apache-2.0
 os-resource-classes>=1.1.0 # Apache-2.0
-os-traits>=3.3.0 # Apache-2.0
+os-traits>=3.4.0 # Apache-2.0
 os-vif>=3.1.0 # Apache-2.0
 castellan>=0.16.0 # Apache-2.0
 microversion-parse>=0.2.1 # Apache-2.0

=== debian/changelog ===
nova (3:31.0.0+git2025070714.1c03429337-0ubuntu2) questing; urgency=medium

  * d/nova_sudoers: Drop !requiretty override causing compatibility issues
    with sudo-rs. (LP: #2120708)

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Tue, 19 Aug 2025 10:04:38 +0200

nova (3:31.0.0+git2025070714.1c03429337-0ubuntu1) questing; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.
  * New upstream release for OpenStack Flamingo. (LP: #2103413)
  * Refresh patches:
    - d/p/change-tempdir-perms-for-libvirt-qemu.patch
    - d/p/arm-console-patch.patch
    - d/p/skip-if-https-proxy.patch
  * d/control: Align (Build-)Depends with upstream.
  * d/nova-api: Transition package to be wsgi based.
  * d/nova-api-metadata: Transition package to be wsgi based.
  * d/nova-api-os-compute: Transition package to dummy package.
  * d/t/nova-{api,daemons}: Check vhost is loaded instead of process running.
  * d/s/options: Ignore .launchpad.yaml in debdiff.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Tue, 08 Jul 2025 08:25:29 +0200

nova (3:31.0.0-0ubuntu1) plucky; urgency=medium

  [ Guillaume Boutry ]
  * d/watch: Track Epoxy series releases.

  [ Myles Penner ]
  * New upstream release for OpenStack Epoxy.
  * Refresh patches:
    - d/p/arm-console-patch.patch
    - d/p/change-tempdir-perms-for-libvirt-qemu.patch
  * d/control: Align (Build-)Depends with upstream.

 -- Myles Penner <myles.penner@canonical.com>  Thu, 03 Apr 2025 11:13:32 -0700

## nova 31.1.0

=== debian/changelog ===
nova (2:31.1.0-1~bpo13+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Removed patches applied upstream:
    - Fix-neutron-client-dict-grabbing.patch
    - OSSN-0094_restrict_swap_volume_to_cinder.patch

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-epoxy.debian.net>  Tue, 23 Sep 2025 09:53:02 +0000

nova (2:31.0.0-7) unstable; urgency=high

  * A vulnerability has been identified in OpenStack Nova and OpenStack Watcher
    in conjunction with volume swap operations performed by the Watcher
    service. Under specific circumstances, this can lead to a situation where
    two Nova libvirt instances could reference the same block device, allowing
    accidental information disclosure to the unauthorized instance. Added
    upstream patch: OSSN-0094_restrict_swap_volume_to_cinder.patch.
    (Closes: #1111689).
  * Blacklist non-deterministic unit test:
    - ComputeTestCase.test_add_remove_fixed_ip_updates_instance_updated_at

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Aug 2025 09:10:49 +0200

## nova 31.2.0

=== debian/changelog ===
nova (2:31.2.0-2~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * CVE-2026-24708/OSSA-2026-002: By writing a malicious QCOW header to a root
    or ephemeral disk and then triggering a resize, a user may convince Nova's
    flat image backend to call qemu-img without a format restriction resulting
    in an unsafe image resize operation that could destroy data on the host
    system. Appiled upstream patch (Closes: #1128294):
    - cve-2026-24708-make-disk.extend-pass-format-to-qemu-img-2025.1.patch

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-epoxy.debian.net>  Tue, 17 Feb 2026 15:13:14 +0000

nova (2:31.2.0-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Nov 2025 10:51:37 +0100

nova (2:31.1.0-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Removed patches applied upstream:
    - Fix-neutron-client-dict-grabbing.patch
    - OSSN-0094_restrict_swap_volume_to_cinder.patch

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Sep 2025 11:44:44 +0200

## nova 32.0.0~rc1

=== debian/changelog ===
nova (2:32.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed versions of (build-)depends when satisfied in Trixie.
  * Rebased Add-a-healtcheck-url.patch.
  * Removed patches appied upstream:
    - Fix-neutron-client-dict-grabbing.patch
    - OSSN-0094_restrict_swap_volume_to_cinder.patch
  * Removed Add-context-switch-chance-to-other-thread-during-get_avail...patch
  * No need to rm debian/tmp/usr/bin/nova-api-{os-compute,metadata}, the files
    are removed upstream.
  * Removed nova-api from d/nova-api.install. Now only uwsgi is possible.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Sep 2025 18:03:40 +0200

## nova 32.0.0

=== requirements.txt ===
--- 
+++ 
@@ -24,7 +24,7 @@
 python-cinderclient>=4.0.1 # Apache-2.0
 keystoneauth1>=3.16.0 # Apache-2.0
 python-neutronclient>=7.1.0 # Apache-2.0
-python-glanceclient>=2.8.0 # Apache-2.0
+python-glanceclient>=4.7.0 # Apache-2.0
 requests>=2.25.1 # Apache-2.0
 stevedore>=1.20.0 # Apache-2.0
 websockify>=0.9.0 # LGPLv3
@@ -44,14 +44,14 @@
 oslo.policy>=4.5.0 # Apache-2.0
 oslo.privsep>=2.6.2 # Apache-2.0
 oslo.i18n>=5.1.0 # Apache-2.0
-oslo.service>=2.8.0 # Apache-2.0
+oslo.service[threading]>=4.2.0 # Apache-2.0
 rfc3986>=1.2.0 # Apache-2.0
 oslo.middleware>=3.31.0 # Apache-2.0
 psutil>=3.2.2 # BSD
 oslo.versionedobjects>=1.35.0 # Apache-2.0
 os-brick>=6.10.0 # Apache-2.0
 os-resource-classes>=1.1.0 # Apache-2.0
-os-traits>=3.4.0 # Apache-2.0
+os-traits>=3.5.0 # Apache-2.0
 os-vif>=3.1.0 # Apache-2.0
 castellan>=0.16.0 # Apache-2.0
 microversion-parse>=0.2.1 # Apache-2.0

=== doc/requirements.txt ===
sphinx>=2.1.1 # BSD
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD
sphinx-feature-classification>=1.1.0 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0
openstackdocstheme>=2.2.0 # Apache-2.0

# releasenotes
reno>=3.1.0 # Apache-2.0

# redirect tests in docs
whereto>=0.3.0 # Apache-2.0

# needed to generate osprofiler config options
osprofiler>=1.4.0 # Apache-2.0

=== debian/changelog ===
nova (2:32.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Oct 2025 21:07:44 +0200

nova (2:32.0.0~rc1-3) unstable; urgency=medium

  * Remove oslo.db from config file generation namespace list.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 00:29:08 +0200

nova (2:32.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 00:05:20 +0200

=== debian/rules ===
--- 
+++ 
@@ -84,7 +84,6 @@
 		--output-file=$(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf \
 		--wrap-width 140 \
 		--namespace nova.conf \
-		--namespace oslo.db \
 		--namespace oslo.limit \
 		--namespace oslo.log \
 		--namespace oslo.messaging \

=== debian/tests/control ===
Tests: unittests
Depends:
 python3-nova,
 nova-common,
 @builddeps@,
Restrictions: allow-stderr needs-root
Architecture: amd64 arm64 ppc64el

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/nova/tags .*/(\d[brc\d\.]+)\.tar\.gz

## nova 32.0.0%2Bgit20260128.59a7093

=== debian/watch ===
version=4
opts=uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/ \
 https://tarballs.opendev.org/openstack/nova/ nova-(\d{1,2}\.\d.*)\.tar\.gz

## nova 32.0.0+git20260128.59a7093

=== requirements.txt ===
--- 
+++ 
@@ -19,7 +19,6 @@
 alembic>=1.5.0 # MIT
 netaddr>=0.7.18 # BSD
 paramiko>=2.7.1 # LGPLv2.1+
-iso8601>=0.1.11 # MIT
 jsonschema>=4.0.0 # MIT
 python-cinderclient>=4.0.1 # Apache-2.0
 keystoneauth1>=3.16.0 # Apache-2.0
@@ -44,7 +43,7 @@
 oslo.policy>=4.5.0 # Apache-2.0
 oslo.privsep>=2.6.2 # Apache-2.0
 oslo.i18n>=5.1.0 # Apache-2.0
-oslo.service[threading]>=4.2.0 # Apache-2.0
+oslo.service[threading]>=4.4.1 # Apache-2.0
 rfc3986>=1.2.0 # Apache-2.0
 oslo.middleware>=3.31.0 # Apache-2.0
 psutil>=3.2.2 # BSD
@@ -60,6 +59,6 @@
 retrying>=1.3.3 # Apache-2.0
 os-service-types>=1.7.0 # Apache-2.0
 python-dateutil>=2.7.0 # BSD
-futurist>=1.8.0 # Apache-2.0
+futurist>=3.2.1 # Apache-2.0
 openstacksdk>=4.4.0 # Apache-2.0
 PyYAML>=5.1 # MIT

=== doc/requirements.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 reno>=3.1.0 # Apache-2.0
 
 # redirect tests in docs
-whereto>=0.3.0 # Apache-2.0
+whereto>=0.5.0 # Apache-2.0
 
 # needed to generate osprofiler config options
 osprofiler>=1.4.0 # Apache-2.0

=== debian/changelog ===
nova (3:32.0.0+git20260128.59a7093-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update version
  * d/u/signing-key.asc: remove for snapshot
  * d/patches/*: refresh patches
  * New upstream snapshot from 59a7093915298973c72b6d1749a6acd27e0045a9
    for OpenStack Gazpacho. (LP: #2137590)
  * d/p/testtools-2.8.2-TestMatchersInterface-is-removed.patch: Add patch
    from Debian to fix test discovery with testtools >= 2.8.2
    (Closes: #1124185).
  * d/p/fix-BackendAlreadySelected-during-test-discovery.patch: Add patch
    to handle BackendAlreadySelected during test discovery.
  * d/p/fix-test_threading_selected_by_default-env-var.patch: Add patch
    to fix KeyError when OS_NOVA_DISABLE_EVENTLET_PATCHING is not set.
  * d/tests/nova-compute-daemons: Set up MySQL database and start
    nova-conductor before testing compute daemons. nova-compute blocks
    in wait_until_ready() until conductor responds, and conductor needs
    a synced database to start its RPC server. Also add journalctl
    capture on failure for better diagnostics.
  * d/tests/nova-daemons: Use IF NOT EXISTS in SQL statements for
    compatibility when nova-compute-daemons has already set up the
    database in the shared autopkgtest environment.

 -- Myles Penner <myles.penner@canonical.com>  Thu, 29 Jan 2026 16:58:00 -0800

nova (3:32.0.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125956).

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Wed, 01 Oct 2025 14:11:59 +0200

nova (3:32.0.0~rc1-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125012).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.
  * d/watch: Update version detection.
  * d/p/arm-console-patch.patch: Refresh.
  * d/p/change-tempdir-perms-for-libvirt-qemu.patch: Refresh.

 -- Myles Penner <myles.penner@canonical.com>  Sat, 20 Sep 2025 13:59:26 -0700

## nova 32.1.0

=== debian/changelog ===
nova (2:32.1.0-7) unstable; urgency=high

  * CVE-2026-24708/OSSA-2026-002: By writing a malicious QCOW header to a root
    or ephemeral disk and then triggering a resize, a user may convince Nova's
    flat image backend to call qemu-img without a format restriction resulting
    in an unsafe image resize operation that could destroy data on the host
    system. Appiled upstream patch (Closes: #1128294):
    - cve-2026-24708-make-disk.extend-pass-format-to-qemu-img-2025.2.patch
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Fri, 06 Feb 2026 00:32:36 +0100

nova (2:32.1.0-6) unstable; urgency=medium

  * Add testtools-2.8.2-TestMatchersInterface-is-removed.patch
    (Closes: #1124185).
  * Add fix-test_validate_volume_mount_not_working.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Dec 2025 11:17:20 +0100

nova (2:32.1.0-5) unstable; urgency=medium

  * Add fix-failing-timebased-tests.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 02 Dec 2025 15:42:49 +0100

nova (2:32.1.0-4) unstable; urgency=medium

  * Updated homepage URL (Closes: #1118106).

 -- Thomas Goirand <zigo@debian.org>  Wed, 26 Nov 2025 17:14:28 +0100

nova (2:32.1.0-3) unstable; urgency=medium

  * Removed Gustavo Panizzo from uploaders (Closes: #1114573).

 -- Thomas Goirand <zigo@debian.org>  Wed, 26 Nov 2025 15:32:53 +0100

nova (2:32.1.0-2) unstable; urgency=medium

  * Add Fix-test_simple_tenant_usage-test.patch and re-activate blacklisted
    policies.test_simple_tenant_usage.* tests.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Nov 2025 08:45:58 +0100

nova (2:32.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Blacklist 2 non-deterministic tests:
    - policies.test_simple_tenant_usage.*

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Nov 2025 10:12:10 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,11 @@
 Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
- gustavo panizzo <gfa@zumbi.com.ar>,
  Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
  debhelper-compat (= 11),
  dh-python,
- openstack-pkg-tools (>= 123~),
+ openstack-pkg-tools,
  po-debconf,
  python3-all,
  python3-pbr,
@@ -41,7 +40,7 @@
  python3-hacking,
  python3-iso8601,
  python3-jinja2,
- python3-jsonschema (>= 4.0.0),
+ python3-jsonschema,
  python3-keystoneauth1,
  python3-keystonemiddleware,
  python3-lxml,
@@ -52,31 +51,31 @@
  python3-neutronclient,
  python3-novaclient,
  python3-openstackdocstheme,
- python3-openstacksdk (>= 4.4.0),
+ python3-openstacksdk,
  python3-os-api-ref,
- python3-os-brick (>= 6.10.0),
+ python3-os-brick,
  python3-os-resource-classes,
  python3-os-service-types,
- python3-os-traits (>= 3.3.0),
- python3-os-vif (>= 3.1.0),
+ python3-os-traits (>= 3.5.0),
+ python3-os-vif,
  python3-oslo.cache,
  python3-oslo.concurrency,
- python3-oslo.config (>= 1:9.6.0),
+ python3-oslo.config,
  python3-oslo.context,
  python3-oslo.db,
  python3-oslo.i18n,
  python3-oslo.limit,
  python3-oslo.log,
- python3-oslo.messaging (>= 14.1.0),
+ python3-oslo.messaging,
  python3-oslo.middleware,
- python3-oslo.policy (>= 4.5.0),
+ python3-oslo.policy,
  python3-oslo.privsep,
  python3-oslo.reports,
  python3-oslo.rootwrap,
  python3-oslo.serialization,
- python3-oslo.service,
+ python3-oslo.service (>= 4.2.0),
  python3-oslo.upgradecheck,
- python3-oslo.utils (>= 8.0.0),
+ python3-oslo.utils,
  python3-oslo.versionedobjects,
  python3-oslo.vmware,
  python3-oslotest,
@@ -116,7 +115,7 @@
 Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/services/nova
 Vcs-Git: https://salsa.debian.org/openstack-team/services/nova.git
-Homepage: http://www.openstack.org/software/openstack-compute/
+Homepage: https://opendev.org/openstack/nova/
 
 Package: nova-api
 Architecture: all
@@ -407,3 +406,5 @@
  .
  OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
  designed to be modular and easy to extend and adapt. In addition to its
+ "native" OpenStack API, it also supports the Amazon EC2 API, and it
+ supports

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	rm -rf doc/build/ doc/source/api doc/.autogenerated
 	rm -rf tests.sqlite clean.sqlite run_tests.log
 	rm -rf CA
-	rm -rf nova.egg-info
+	rm -rf nova.egg-info .pybuild
 	rm -f po/nova.pot
 	rm -rf .autogenerated
 	rm -f debian/nova-common.config debian/nova-common.postinst \
@@ -63,6 +63,8 @@
 	# db.main.test_api.ArchiveTestCase.test_archive_deleted_rows_task_log
 	# Non-deterministic (see: https://bugs.launchpad.net/nova/+bug/2121125):
 	# nova.tests.unit.compute.test_compute.ComputeTestCase.test_add_remove_fixed_ip_updates_instance_updated_at
+	# Non-deterministic (See: https://bugs.launchpad.net/nova/+bug/2130703)
+	# nova.tests.unit.policies.test_simple_tenant_usage..*
 	pkgos-dh_auto_test --no-py2 'nova\.tests\.unit\.(?!(.*virt.libvirt\.test_driver\.LibvirtConnTestCase\.test_spawn_with_config_drive.*|.*test_wsgi\.TestWSGIServerWithSSL.*|.*test_hacking\.HackingTestCase.*|.*CreateInstanceTypeTest\.test_name_with_non_printable_characters.*|.*PatternPropertiesTestCase\.test_validate_patternProperties_fails.*|.*virt\.libvirt\.test_driver\.LibvirtDriverTestCase\.test_get_disk_xml.*|.*virt\.libvirt\.test_driver\.LibvirtConnTestCase\.test_detach_volume_with_vir_domain_affect_live_flag.*|.*virt\.libvirt\.test_driver\.LibvirtConnTestCase\.test_update_volume_xml.*|.*console\.test_websocketproxy\.NovaProxyRequestHandlerTestCase\.test_tcp_rst_no_compute_rpcapi.*|.*virt\.libvirt\.test_blockinfo\.LibvirtBlockInfoTest\.test_get_disk_mapping_rescue_with_config.*|.*virt\.libvirt\.test_blockinfo\.LibvirtBlockInfoTest\.test_get_disk_mapping_stable_rescue_ide_cdrom.*|.*virt\.libvirt\.volume\.test_nvme\.LibvirtNVMEVolumeDriverTestCase\.test_libvirt_nvme_driver_connect.*|.*virt\.libvirt\.volume\.test_nvme\.LibvirtNVMEVolumeDriverTestCase\.test_libvirt_nvme_driver_disconnect.*|.*virt\.libvirt\.volume\.test_nvme\.LibvirtNVMEVolumeDriverTestCase\.test_libvirt_nvme_driver_get_config.*|.*virt\.libvirt\.volume\.test_scaleio\.LibvirtScaleIOVolumeDriverTestCase.*|.*virt\.libvirt\.test_driver\.LibvirtDriverTestCase\.test_cross_cell_move_rbd_flatten_fetch_image_cache.*|.*virt\.libvirt\.test_driver\.LibvirtConnTestCase\.test_check_discard_for_attach_volume_blk_controller_no_unmap.*|.*virt\.libvirt\.test_driver\.LibvirtConnTestCase\.test_check_discard_for_attach_volume_no_unmap.*|.*virt\.libvirt\.test_driver\.LibvirtConnTestCase\.test_check_discard_for_attach_volume_valid_controller.*|.*virt\.libvirt\.test_driver\.LibvirtDriverTestCase\.test_rbd_image_flatten_during_fetch_image_cache.*|.*test_utils\.GenericUtilsTestCase\.test_temporary_chown.*|console\.test_websocketproxy\.NovaProxyRequestHandlerTestCase\.test_reject_open_redirect|console\.test_websocketproxy\.NovaProxyRequestHandlerTestCase\.test_reject_open_redirect_3_slashes|privsep\.test_utils\.SupportDirectIOTestCase\.test_supports_direct_io_with_exception_in_open|privsep\.test_utils\.SupportDirectIOTestCase\.test_supports_direct_io_with_exception_in_write|notifications\.objects\.test_objects\.TestObjectVersions\.test_versions|objects\.test_objects\.TestObjectVersions\.test_versions|notifications\.objects\.test_notification\.TestNotificationObjectVersions\.test_versions|db\.main\.test_api\.ArchiveTestCase\.test_archive_deleted_rows_task_log|db\.main\.test_api\.UnsupportedDbRegexpTestCase\.test_instance_get_all_by_filters_sort_keys|nova\.tests\.unit\.compute\.test_compute\.ComputeTestCase\.test_add_remove_fixed_ip_updates_instance_updated_at))'
 endif
 
@@ -127,4 +129,3 @@
 	pkgos-fix-config-default $(NOVA_CONF) DEFAULT security_group_api neutron
 	pkgos-fix-config-default $(NOVA_CONF) DEFAULT network_api_class nova.network.neutronv2.api.API
 	pkgos-fix-config-default $(NOVA_CONF) DEFAULT use_neutron True
-	pkgos-fix-config-default $(NOVA_CONF) DEFAULT linuxnet_interface_driver nova.network.linux_net.LinuxOVSInterfaceDriver

## nova 2011.2

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1


DEB_PYTHON_SYSTEM=pysupport

#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/doc/build

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python setup.py build_sphinx
else
	mkdir -p doc/doc/build/html
endif

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

override_dh_install:
	dh_install
	chmod 440 $(CURDIR)/debian/nova-common/etc/sudoers.d/nova_sudoers

override_dh_fixperms:
	dh_fixperms -Xnova_sudoers

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	./run_tests.sh -N
endif

override_dh_installinit:
	dh_installinit --error-handler=true

=== debian/watch ===
version=3
http://launchpad.net/nova/+download http://launchpad.net/nova/.*/nova-(.*)\.tar\.gz
http://nova.openstack.org/tarballs/ nova-(.*).tar.gz
